<?xml version="1.0" encoding="utf-8"?>
<metadata>
	<layout title="Traktorpool">
		<message>
			<![CDATA[Traktorpool]]>
		</message>
		<fields name="request">
			<fieldset name="request" addfieldpath="/administrator/components/com_pixelcms_articles/models/fields">
				<field name="tracktorpool_apikey" type="input" label="Apikey" useglobal="true" />
				<field name="tracktorpool_customer_id" type="input" label="Händler ID" useglobal="true"/>
				<field name="tracktorpool_alias" type="input" label="Alias" useglobal="true"/>
				<field name="page_size" type="input" label="Angebote Pro Seite" default="15" useglobal="true"/>
				<field name="print_btn" type="radio" default="1" label="Druck Button" description="Blendet den Button zum Drucken in der Detailansicht ein" class="btn-group btn-group-yesno">
					<option value="0">JNO</option>
					<option value="1">JYES</option>
				</field>
				<field name="price_style" type="list" default="0" label="Preis Darstellung" description="Wie soll der Preis angezeigt werden">
					<option value="0">Brutto und Nettopreis</option>
					<option value="1">Nur Netto</option>
					<option value="2">Nur Brutto</option>
					<option value="3">Brutto und Nettopreis (Kurz)</option>
					<option value="4">Nur Netto (Kurz)</option>
					<option value="5">Nur Brutto (Kurz)</option>
				</field>
                <field name="decimals" type="number" default="2" label="Dezimal Stellen" description="Benutze Negative Werte zum Runden" />
                <field showon="model:technikboerse_products"
                       name="zip_code"
                       type="input"
                       label="Postleitzahl"
                       useglobal="false"
                />
                <field name="traktorpool_condition" multiple="true" type="list" default="" label="Zustand" description="Filtert Anzeigen anhand des Zustandes">
					<option value="new">Neue</option>
					<option value="used">Gebrauchte</option>
                    <option value="demonstration">Vorführmaschine</option>
                    <option value="showroom_machine">Ausstellungsmaschine</option>
                    <option value="accident_or_fire_damage">Unfall/ Brandschaden</option>
                </field>
                <field name="traktorpool_status" type="radio" default="1" label="Nur Aktive" description="Filtert Anzeigen anhand des Zustandes" class="btn-group btn-group-yesno">
                    <option value="0">JNO</option>
                    <option value="1">JYES</option>
                </field>
                <field name="show_contact" type="radio" default="1" label="Zeige Ansprechpartner" description="Wird nur auf Detailseiten angezeigt." class="btn-group btn-group-yesno">
                    <option value="0">JNO</option>
                    <option value="1">JYES</option>
                </field>
                <field name="disable_title_image"
                       type="radio"
                       default="0"
                       label="Titelbild ausblenden"
                       description="Blendet das Titelbildmodul für die Detailseiten aus."
                       class="btn-group btn-group-yesno"
                >
                    <option value="1">JYES</option>
                    <option value="0">JNO</option>
                </field>
				<field name="model" type="list" default="tracktorpool_products" label="Datenquelle">
					<option value="tracktorpool_products">Traktorpool</option>
                    <option value="technikboerse_products">Technikbörse</option>
                    <option value="mascus_products">Maskus</option>
                    <option value="csv_products">CSV</option>
                    <option value="mpo_products">Maschine Park Online</option>
                    <option value="landwirt_products">Landwirt.com Maschinen</option>
				</field>
                <field name="order"
                       type="radio"
                       default=""
                       label="Reihenfolge"
                       class="btn-group"
                >
                    <option value="">Standard</option>
                    <option value="hours_asc">Arbeitsstunden aufsteigend</option>
                    <option value="hours_desc">Arbeitsstunden absteigend</option>
                    <option value="power_asc">Leistung aufsteigend</option>
                    <option value="power_desc">Leistung absteigend</option>
                    <option value="price_asc">Preis aufsteigend</option>
                    <option value="price_desc">Preis absteigend</option>
                </field>
                <field name="layout" type="componentlayout" extension="com_pixelcms_articles" view="tracktorpool_products" label="Layout" useglobal="true"/>
            </fieldset>
		</fields>
	</layout>
</metadata>
